org.eclipse.net4j.util.om.trace

## Interface OMTraceHandlerEvent

- All Known Implementing Classes:
    TraceHandlerEvent

      public interface OMTraceHandlerEvent

  Encapsulates the information of a trace event.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getContext()`
    `java.lang.String` | `getMessage()`
    `java.lang.Throwable` | `getThrowable()`
    `long` | `getTimeStamp()`
    `OMTracer` | `getTracer()`

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()

    - #### getTracer

          OMTracer getTracer()

    - #### getContext

          java.lang.Class<?> getContext()

    - #### getMessage

          java.lang.String getMessage()

    - #### getThrowable

          java.lang.Throwable getThrowable()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html